Gestiono
Referencia de APIForms / Form

Create Form

← Back to full API reference
POST/v1/formsAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: postForm.

Request details

Body fields

FieldRequiredDescription
nameYesType: string
descriptionYesType: string
ctaNoType: string
formSchemaYesType: arrayExample:
formSchema[]YesType: object
formSchema[].labelYesType: string
formSchema[].typeYesType: enumExample: text
formSchema[].spanNoType: number
formSchema[].optionsNoType: arrayExample:
formSchema[].options[]YesType: string
formSchema[].uniqueNoType: boolean
formSchema[].contentNoType: string
uiSchemaNoType: unknown
columnsNoType: numberExample: 1
submissionLimitNoType: number
isEventNoType: booleanExample: false
eventDateNoType: string
eventDurationNoType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "name": "string",
  "description": "string",
  "formSchema": [
    {
      "label": "string",
      "type": "text"
    }
  ]
}

Sample response

json
{
  "id": "<newFormId>"
}